Re: [Vala] New test framework updates.
- From: Jason Martin <agrellum gmail com>
- To: vala-list gnome org
- Subject: Re: [Vala] New test framework updates.
- Date: Tue, 17 Oct 2017 12:17:04 -0400
I have replaced echo -n -e or echo -e and I think that works. (patch below)
And I get a _test dir under tests but I do not think the check files are
right.
Example: annotations.deprecated.check
set -e
./test /annotations/deprecated
And my main.vala has all tests combined in one big program.
Seems to not be splitting them into each test.
Also has problems with the combined ones with "Program: something"
If someone could tar.gz the tests directory from a linux build that might
help me to see what is supposed to happen.
My patch so far:
--- testrunner.sh Sun Oct 8 10:39:01 2017
+++ testrunner.sh.new Tue Oct 17 11:10:41 2017
@@ -118,7 +118,7 @@
mkdir $testdir
cd $testdir
-echo -n -e "TEST: Building...\033[72G"
+env printf "TEST: Building...\033[72G"
cat << "EOF" > checkall
all=0
@@ -190,13 +190,13 @@
cat prepare check > $ns.check
cat << EOF >> checkall
-echo -n -e " /$testpath: \033[72G"
+env printf " /$testpath: \033[72G"
((all++))
if bash $ns.check &>log; then
- echo -e "\033[0;32mOK\033[m"
+ env printf "\033[0;32mOK\033[m"
else
((fail++))
- echo -e "\033[0;31mFAIL\033[m"
+ env printf "\033[0;31mFAIL\033[m"
cat log
fi
EOF
@@ -219,10 +219,10 @@
cat $SOURCEFILES >> main.vala
-if $VALAC $VALAFLAGS -o test$EXEEXT $([ -z "$PACKAGES" ] || echo $PACKAGES
| xargs -n 1 echo -n " --pkg") main.vala &>log; then
- echo -e "\033[0;32mOK\033[m"
+if $VALAC $VALAFLAGS -o test$EXEEXT $([ -z "$PACKAGES" ] || echo $PACKAGES
| xargs -n 1 env printf "%s" " --pkg=") main.vala &>log; then
+ env printf "\033[0;32mOK\033[m"
else
- echo -e "\033[0;31mFAIL\033[m"
+ env printf "\033[0;31mFAIL\033[m"
cat log
cd $builddir
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]